%define major   0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

%define uname   SoapySDR
%define modsfx  %(echo "%{version}"|cut -d. -f-2)

Name:           soapy-sdr
Version:        0.8.1
Release:        %mkrel 1
Summary:        A Vendor Neutral and Platform Independent SDR Support Library
Group:          Communications
License:        Boost
URL:            https://github.com/pothosware/SoapySDR
Source0:        https://github.com/pothosware/%{uname}/archive/refs/tags/%{name}-%{version}.tar.xz

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  swig
BuildRequires:  doxygen
BuildRequires:  python3-devel
BuildRequires:  python3-numpy

%description
SoapySDR is an open-source generalized C/C++ API and runtime library
for interfacing with Software-Defined Radio (SDR) devices.

%package -n %{libname}
Summary:        A Vendor Neutral and Platform Independent SDR Support Library
Group: System/Libraries

%description -n %{libname}
SoapySDR is an open-source generalized C/C++ API and runtime library
for interfacing with Software-Defined Radio (SDR) devices.

%package -n python3-%{name}
Summary:        Python3 Bindings for SoapySDR
Group: Development/Python
Provides:       python3-%{name} = %{version}-%{release}

%description -n python3-%{name}
SoapySDR is an open-source generalized C/C++ API and runtime library
for interfacing with Software-Defined Radio (SDR) devices.

%package -n %{devname}
Summary:        Development Files for SoapySDR
Group:              Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{uname}-devel = %{version}-%{release}

%description -n %{devname}
SoapySDR is an open-source generalized C/C++ API and runtime library
for interfacing with Software-Defined Radio (SDR) devices.

%package -n %{name}-doc
Summary:        Documentation Files for SoapySDR
Group: Documentation
BuildArch:      noarch

%description -n %{name}-doc
SoapySDR is an open-source generalized C/C++ API and runtime library
for interfacing with Software-Defined Radio (SDR) devices.
This package includes documentation.
        
%prep
%setup -qn %{uname}-%{name}-%{version}
%apply_patches

%build
%cmake -DUSE_PYTHON_CONFIG=ON

%cmake_build

%install
%cmake_install

mkdir -p %{buildroot}%{_libdir}/%{name}/modules%{modsfx}

rm -rf %buildroot/%{_libdir}/python2.7

%files
%{_bindir}/%{uname}Util

%files -n %{libname}
%{_libdir}/lib%{uname}.so.%{major}*
%{_libdir}/%{name}/modules%{modsfx}/

%files -n python3-%{name}
%{python3_sitearch}/%{uname}.py
%{python3_sitearch}/_%{uname}.so

%files -n %{devname}
%{_includedir}/%{uname}
%{_libdir}/lib%{uname}.so
%{_libdir}/pkgconfig/%{uname}.pc
%{_datadir}/cmake/%{uname}/

%files -n %{name}-doc
%{_mandir}/man1/*



%changelog
* Fri Aug 19 2022 tex - 0.8.1-1pclos2022
- create pkg
